@Controller @RequestMapping(value="/admin/ui") public class UiController extends Object
/admin/ui URI.| Constructor and Description |
|---|
UiController() |
| Modifier and Type | Method and Description |
|---|---|
ModelAndView |
about()
Returns the about view.
|
ModelAndView |
accountChangePasswordGet()
Returns the change-password view with an empty form.
|
ModelAndView |
accountChangePasswordPost(com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.ChangePasswordForm form,
BindingResult formBindingResult)
Processes the change-password form and returns the change-password view.
|
ModelAndView |
accountSignIn(Authentication authentication)
Returns the sign-in view.
|
ModelAndView |
accountSignOut(Authentication authentication)
Returns the sign-out view.
|
ModelAndView |
channelAddGet()
Returns the channel-add view.
|
ModelAndView |
channelAddPost(com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.AddChannelForm form,
BindingResult formBindingResult,
HttpServletResponse response)
Processes a form submitted from the channel-add view.
|
ModelAndView |
channelByServerAddGet(UUID serverIdFromPath,
HttpServletResponse response)
Returns the channel-add view.
|
ModelAndView |
channelByServerAddPost(UUID serverIdFromPath,
com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.AddChannelForm form,
BindingResult formBindingResult,
HttpServletResponse response)
Processes a form submitted from the channel-add view.
|
ModelAndView |
channelByServerDetails(UUID serverId,
String channelName,
HttpServletResponse response)
Returns the channel-details view.
|
ModelAndView |
channelByServerEditGet(UUID serverId,
String channelName,
HttpServletResponse response)
Returns the channel-edit view.
|
ModelAndView |
channelByServerEditPost(UUID serverId,
String channelName,
com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.EditChannelForm form,
BindingResult formBindingResult,
HttpServletResponse response)
Processes a form submitted from the channel-edit view.
|
ModelAndView |
channelByServerMoveGet(UUID serverId,
String channelName,
HttpServletResponse response)
Returns the channel-move view.
|
ModelAndView |
channelByServerMovePost(UUID serverId,
String channelName,
UUID oldServerId,
UUID newServerId,
HttpServletResponse response)
Processes a form submitted from the channel-move view.
|
ModelAndView |
channelByServerReinitialize(UUID serverId,
String channelName,
HttpServletResponse response)
Reinitializes a channel.
|
ModelAndView |
channelByServerRemoveGet(UUID serverId,
String channelName,
HttpServletResponse response)
Returns the channel-remove view.
|
ModelAndView |
channelByServerRemovePost(UUID serverId,
String channelName,
HttpServletResponse response)
Processes a form submitted from the channel-remove view.
|
ModelAndView |
channelByServerRenameGet(UUID serverId,
String channelName,
HttpServletResponse response)
Returns the channel-rename view.
|
ModelAndView |
channelByServerRenamePost(UUID serverId,
String oldChannelName,
String newChannelName,
HttpServletResponse response)
Processes a form submitted from the channel-rename view.
|
ModelAndView |
channelDetails(String channelName,
HttpServletResponse response)
Returns the channel-details view.
|
ModelAndView |
channelEditGet(String channelName,
HttpServletResponse response)
Returns the channel-edit view.
|
ModelAndView |
channelEditPost(String channelName,
com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.EditChannelForm form,
BindingResult formBindingResult,
HttpServletResponse response)
Processes a form submitted from the channel-edit view.
|
ModelAndView |
channelMoveGet(String channelName,
HttpServletResponse response)
Returns the channel-move view.
|
ModelAndView |
channelMovePost(String channelName,
UUID oldServerId,
UUID newServerId,
HttpServletResponse response)
Processes a form submitted from the channel-move view.
|
ModelAndView |
channelReinitialize(String channelName,
HttpServletResponse response)
Reinitializes a channel.
|
ModelAndView |
channelRemoveGet(String channelName,
HttpServletResponse response)
Returns the channel-remove view.
|
ModelAndView |
channelRemovePost(String channelName,
HttpServletResponse response)
Processes a form submitted from the channel-remove view.
|
ModelAndView |
channelRenameGet(String channelName,
HttpServletResponse response)
Returns the channel-rename view.
|
ModelAndView |
channelRenamePost(String oldChannelName,
String newChannelName,
HttpServletResponse response)
Processes a form submitted from the channel-rename view.
|
ModelAndView |
channels(HttpServletResponse response)
Returns the channels-overview view.
|
ModelAndView |
channelsAll()
Returns the all channels view.
|
ModelAndView |
channelsByServer(UUID serverId,
HttpServletResponse response)
Returns the channels-by-server view.
|
ModelAndView |
channelsByServerExport(UUID serverId,
HttpServletResponse response)
Returns an XML export of the channel configuration for the specified
server.
|
ModelAndView |
channelsByServerImportGet(UUID serverId)
Returns the channels-import view.
|
ModelAndView |
channelsByServerImportPost(UUID serverId,
MultipartFile file,
boolean addChannels,
boolean updateChannels,
boolean removeChannels)
Processes a form submitted from the channels-import view.
|
ModelAndView |
dashboard()
Returns the dashboard view.
|
void |
initBinder(WebDataBinder binder)
Configures the web data-binder used for this controller.
|
ModelAndView |
serversRemove(UUID serverId,
HttpServletResponse response)
Removes the specified server from the cluster.
|
void |
setArchiveConfigurationService(ArchiveConfigurationService archiveConfigurationService)
Sets the archive configuration service used by this controller.
|
void |
setArchiveUserDetailsManager(ArchiveUserDetailsManager archiveUserDetailsManager)
Sets the archive user-details manager.
|
void |
setArchivingService(ArchivingService archivingService)
Sets the archiving service.
|
void |
setCassandraProvider(CassandraProvider cassandraProvider)
Sets the Cassandra provider used by this controller.
|
void |
setChannelInformationCache(ChannelInformationCache channelInformationCache)
Sets the channel information cache.
|
void |
setChannelMetaDataDAO(ChannelMetaDataDAO channelMetaDataDAO)
Sets the DAO for reading and modifying meta-data related to channels.
|
void |
setClusterManagementService(ClusterManagementService clusterManagementService)
Sets the cluster management service used by this controller.
|
void |
setControlSystemSupportRegistry(ControlSystemSupportRegistry controlSystemSupportRegistry)
Sets the control-system support registry.
|
void |
setInterNodeCommunicationService(InterNodeCommunicationService interNodeCommunicationService)
Sets the inter-node communication service.
|
@Autowired public void setArchiveConfigurationService(ArchiveConfigurationService archiveConfigurationService)
archiveConfigurationService - archive configuration service for this server.@Autowired public void setArchiveUserDetailsManager(ArchiveUserDetailsManager archiveUserDetailsManager)
archiveUserDetailsManager - archive user-details manager that manages the users for the
archiving cluster.@Autowired public void setArchivingService(ArchivingService archivingService)
archivingService - archiving service for this server.@Autowired public void setCassandraProvider(CassandraProvider cassandraProvider)
cassandraProvider - Cassandra provider used by the archiving server.@Autowired public void setChannelInformationCache(ChannelInformationCache channelInformationCache)
ChannelMetaDataDAO.ChannelInformation objects from the database without having to
query the database every time. Typically, this method is called
automatically by the Spring container.channelInformationCache - channel information cache for getting
ChannelMetaDataDAO.ChannelInformation objects.@Autowired public void setChannelMetaDataDAO(ChannelMetaDataDAO channelMetaDataDAO)
channelMetaDataDAO - channel meta-data DAO to be used by this object.@Autowired public void setClusterManagementService(ClusterManagementService clusterManagementService)
clusterManagementService - cluster manager used by the archiving server.@Autowired public void setControlSystemSupportRegistry(ControlSystemSupportRegistry controlSystemSupportRegistry)
controlSystemSupportRegistry - control-system support registry for this archiving server.@Autowired public void setInterNodeCommunicationService(InterNodeCommunicationService interNodeCommunicationService)
interNodeCommunicationService - inter-node communication service.@RequestMapping(value="/") public ModelAndView dashboard()
@InitBinder public void initBinder(WebDataBinder binder)
Configures the web data-binder used for this controller. The data binder is used by Spring when binding request parameters to bean properties. This method replaces the validators of the binder with its own implementation that effectively wraps each validator, running some extra actions before and after the validation.
If this custom validator detects a target bean of a certain type, it will run some preparations before the regular validator is run. This way, the controller can deal with requests that do not fulfill all the constraints of the target bean but can easily and automatically be adjusted. After running the original validator, it will perform some extra validation that must pass in addition to the validation performed by the standard validators.
binder - data binder that is augmented with the custom validator
implementation.@RequestMapping(value="/about", method=GET) public ModelAndView about()
@RequestMapping(value="/account/change-password", method=GET) @Secured(value="ROLE_AUTHENTICATED_USER") public ModelAndView accountChangePasswordGet()
@RequestMapping(value="/account/change-password", method=POST) @Secured(value="ROLE_AUTHENTICATED_USER") public ModelAndView accountChangePasswordPost(@ModelAttribute(value="form") com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.ChangePasswordForm form, BindingResult formBindingResult)
formBindingResult is populated with a
message that indicates the origin of the problem.form - change-password form.formBindingResult - form-binding result for the change-password form. This binding
result is already prepopulated with the results of the
annotation-based validation of the form. It is augmented with
the results of the additional checks performed by this method.@RequestMapping(value="/account/sign-in", method=GET) public ModelAndView accountSignIn(Authentication authentication)
authentication - authentication object representing the current authentication.@RequestMapping(value="/account/sign-out", method=GET) public ModelAndView accountSignOut(Authentication authentication)
null or anonymous), this method redirects to the sign-in
page.authentication - authentication object representing the current authentication.@RequestMapping(value="/channels", method=GET) public ModelAndView channels(HttpServletResponse response)
response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
details view cannot be gathered successfully.@RequestMapping(value="/channels/all", method=GET) public ModelAndView channelsAll()
@RequestMapping(value="/channels/by-server/{serverId}", method=GET) public ModelAndView channelsByServer(@PathVariable UUID serverId, HttpServletResponse response)
serverId - ID of the server for which the channels are to be displayed.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
details view cannot be gathered successfully.@RequestMapping(value="/channels/by-server/{serverId}/export", method=GET) public ModelAndView channelsByServerExport(@PathVariable UUID serverId, HttpServletResponse response)
serverId - ID of the server for which the channel configuration shall be
exported.response - HTTP servlet response. On success, this method writes the XML
document directly to the response.null on success, redirect to channel-details view on
error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/import", method=GET) public ModelAndView channelsByServerImportGet(@PathVariable UUID serverId)
serverId - ID of the server for which channels shall be imported. This
method does not check whether the server actually exists
because there might be reasons to import channels for a server
that does not exist yet.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/import", method=POST) public ModelAndView channelsByServerImportPost(@PathVariable UUID serverId, @RequestParam(required=false) MultipartFile file, @RequestParam(defaultValue="false") boolean addChannels, @RequestParam(defaultValue="false") boolean updateChannels, @RequestParam(defaultValue="false") boolean removeChannels)
serverId - ID of the server for which channels shall be imported. This
method does not check whether the server actually exists
because there might be reasons to import channels for a server
that does not exist yet.file - uploaded configuration file. This file is processed by
ArchiveServerConfigurationXmlImport.addChannels - tells whether channels should be added to the server
configuration. If true channels that exist in the
configuration file but not on the server are added. If
false channels that exist in the configuration
file but not on the server are not added.updateChannels - tells whether channels on the server should be updated. If
true, channels that exist in the configuration
file and on the server are updated with the configuration
specified in the configuration file. If false,
channels in the configuration file that also exist on the
server are not touched.removeChannels - tells whether channels that only exist on the server should be
removed. If true, channels that exist on the
server but not in the configuration file are removed. If
false, channels that exist on the server but not
in the configuration file are simply ignored.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/add", method=GET) public ModelAndView channelAddGet()
@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/add", method=POST) public ModelAndView channelAddPost(@ModelAttribute(value="form") com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.AddChannelForm form, BindingResult formBindingResult, HttpServletResponse response)
form - bean storing the form data.formBindingResult - validation result of the form bean.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.null is returned.@RequestMapping(value="/channels/all/by-name/{channelName}", method=GET) public ModelAndView channelDetails(@PathVariable String channelName, HttpServletResponse response)
channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
details view cannot be gathered successfully.channelByServerDetails(UUID, String, HttpServletResponse)@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{channelName}/edit", method=GET) public ModelAndView channelEditGet(@PathVariable String channelName, HttpServletResponse response)
channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the edit
view cannot be gathered successfully.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{channelName}/edit", method=POST) public ModelAndView channelEditPost(@PathVariable String channelName, @ModelAttribute(value="form") com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.EditChannelForm form, BindingResult formBindingResult, HttpServletResponse response)
channelName - name of the channel.form - bean storing the form data.formBindingResult - validation result of the form bean.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{channelName}/move", method=GET) public ModelAndView channelMoveGet(@PathVariable String channelName, HttpServletResponse response)
channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
channel-move view cannot be gathered successfully.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{channelName}/move", method=POST) public ModelAndView channelMovePost(@PathVariable String channelName, @RequestParam UUID oldServerId, @RequestParam(required=false) UUID newServerId, HttpServletResponse response)
channelName - old name of the channel.oldServerId - ID of the server from which the channel shall be moved.newServerId - ID of the server to which the channel shall be moved.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{channelName}/reinitialize", method=POST) public ModelAndView channelReinitialize(@PathVariable String channelName, HttpServletResponse response)
channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{channelName}/remove", method=GET) public ModelAndView channelRemoveGet(@PathVariable String channelName, HttpServletResponse response)
channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
channel-remove view cannot be gathered successfully.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{channelName}/remove", method=POST) public ModelAndView channelRemovePost(@PathVariable String channelName, HttpServletResponse response)
channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{channelName}/rename", method=GET) public ModelAndView channelRenameGet(@PathVariable String channelName, HttpServletResponse response)
channelName - old name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
channel-rename view cannot be gathered successfully.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/all/by-name/{oldChannelName}/rename", method=POST) public ModelAndView channelRenamePost(@PathVariable String oldChannelName, @RequestParam(required=false) String newChannelName, HttpServletResponse response)
oldChannelName - old name of the channel.newChannelName - new name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@RequestMapping(value="/channels/by-server/{serverIdFromPath}/add", method=GET) @Secured(value="ROLE_ADMIN") public ModelAndView channelByServerAddGet(@PathVariable UUID serverIdFromPath, HttpServletResponse response)
serverIdFromPath - server ID specified as part of the URI path. This is the
server to which the user wants to add a channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@RequestMapping(value="/channels/by-server/{serverIdFromPath}/add", method=POST) @Secured(value="ROLE_ADMIN") public ModelAndView channelByServerAddPost(@PathVariable UUID serverIdFromPath, @ModelAttribute(value="form") com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.AddChannelForm form, BindingResult formBindingResult, HttpServletResponse response)
serverIdFromPath - server ID specified as part of the URI path. This must match
the server ID specified in the form data.form - bean storing the form data.formBindingResult - validation result of the form bean.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.null is returned.@RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}", method=GET) public ModelAndView channelByServerDetails(@PathVariable UUID serverId, @PathVariable String channelName, HttpServletResponse response)
serverId - ID of the server that is supposed to own the channel.channelName - name of the channelresponse - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
details view cannot be gathered successfully.channelDetails(String, HttpServletResponse)@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}/edit", method=GET) public ModelAndView channelByServerEditGet(@PathVariable UUID serverId, @PathVariable String channelName, HttpServletResponse response)
serverId - ID of the server that is supposed to own the channel.channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the edit
view cannot be gathered successfully.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}/edit", method=POST) public ModelAndView channelByServerEditPost(@PathVariable UUID serverId, @PathVariable String channelName, @ModelAttribute(value="form") com.aquenos.cassandra.pvarchiver.server.web.admin.controller.internal.EditChannelForm form, BindingResult formBindingResult, HttpServletResponse response)
serverId - server ID specified as part of the URI path. However, this
information is not really used because a redirect for a POST
request is problematic.channelName - name of the channel.form - bean storing the form data.formBindingResult - validation result of the form bean.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}/move", method=GET) public ModelAndView channelByServerMoveGet(@PathVariable UUID serverId, @PathVariable String channelName, HttpServletResponse response)
serverId - ID of the server that is supposed to own the channel.channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
channel-move view cannot be gathered successfully.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}/move", method=POST) public ModelAndView channelByServerMovePost(@PathVariable UUID serverId, @PathVariable String channelName, @RequestParam UUID oldServerId, @RequestParam(required=false) UUID newServerId, HttpServletResponse response)
serverId - server ID specified as part of the URI path. However, this
information is not really used because a redirect for a POST
request is problematic.channelName - old name of the channel.oldServerId - ID of the server from which the channel shall be moved.newServerId - ID of the server to which the channel shall be moved.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}/reinitialize", method=POST) public ModelAndView channelByServerReinitialize(@PathVariable UUID serverId, @PathVariable String channelName, HttpServletResponse response)
serverId - ID of the server on which the channel is supposed to be
reinitialized.channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}/remove", method=GET) public ModelAndView channelByServerRemoveGet(@PathVariable UUID serverId, @PathVariable String channelName, HttpServletResponse response)
serverId - ID of the server that is supposed to own the channel.channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
channel-remove view cannot be gathered successfully.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}/remove", method=POST) public ModelAndView channelByServerRemovePost(@PathVariable UUID serverId, @PathVariable String channelName, HttpServletResponse response)
serverId - server ID specified as part of the URI path. However, this
information is not really used because a redirect for a POST
request is problematic.channelName - name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{channelName}/rename", method=GET) public ModelAndView channelByServerRenameGet(@PathVariable UUID serverId, @PathVariable String channelName, HttpServletResponse response)
serverId - ID of the server that is supposed to own the channel.channelName - old name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case the information for the
channel-rename view cannot be gathered successfully.@Secured(value="ROLE_ADMIN") @RequestMapping(value="/channels/by-server/{serverId}/by-name/{oldChannelName}/rename", method=POST) public ModelAndView channelByServerRenamePost(@PathVariable UUID serverId, @PathVariable String oldChannelName, @RequestParam(required=false) String newChannelName, HttpServletResponse response)
serverId - server ID specified as part of the URI path. However, this
information is not really used because a redirect for a POST
request is problematic.oldChannelName - old name of the channel.newChannelName - new name of the channel.response - HTTP servlet response. The response is used to send the
appropriate status code in case of an error.@RequestMapping(value="/servers/{serverId}/remove", method=POST) @Secured(value="ROLE_ADMIN") public ModelAndView serversRemove(@PathVariable UUID serverId, HttpServletResponse response)
serverId - unique identifier of the server to be removed.response - HTTP servlet response. The response is used to send the
appropriate status code in case the server cannot be removed.null if the
response has already been sent.IllegalArgumentException - if the server with the specified ID may not be removed.Copyright © 2011–2017 aquenos GmbH. All rights reserved.